ERR_load_crypto_strings(3)

NAME
ERR_load_crypto_strings, SSL_load_error_strings, ERR_free_strings - load and free error strings

SYNOPSIS
 #include <openssl/err.h>
 void ERR_load_crypto_strings(void);
 void ERR_free_strings(void);
 #include <openssl/ssl.h>
 void SSL_load_error_strings(void);

DESCRIPTION
ERR_load_crypto_strings() registers the error strings for all libcrypto functions. SSL_load_error_strings() does the same, but also registers the libssl error strings.

One of these functions should be called before generating textual error messages. However, this is not required when memory usage is an issue.

ERR_free_strings() frees all previously loaded error strings.

RETURN VALUES
ERR_load_crypto_strings(), SSL_load_error_strings() and ERR_free_strings() return no values.

SEE ALSO
err(3), ERR_error_string(3)

HISTORY
ERR_load_error_strings(), SSL_load_error_strings() and ERR_free_strings() are available in all versions of SSLeay and OpenSSL.